How to use

  1. Add THE latest version of build_runner, as a devDependence

  2. Add a build.yaml file in the root of the project to declare the origin file to generate, for example:

     targets:
     $default:
         builders:
         built_stream_generator|built_stream:
             generate_for:
             - lib/streams/built_single_stream/**.dart
             - lib/streams/built_composed_streams/**.dart
    
  3. Run this command to generate code for built_stream

     flutter pub pub run build_runner build --delete-conflicting-outputs
    

Libraries

builder
built_stream_generator